## glite-lb-utils 2.2.1

=== Makefile ===
# defaults
top_srcdir=..
stagedir=.
globalprefix=glite
lbprefix=lb
package=glite-lb-utils
version=0.0.0
PREFIX=/opt/glite
prefix=

expat_prefix=/opt/expat
gsoap_prefix=/opt/gsoap

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

VPATH=${top_srcdir}/src:${top_srcdir}/doc

CC=gcc
AT3=${stagedir}${prefix}/sbin/glite-lb-at3

SUFFIXES = .T

DEBUG:=-g -O0 -Wall

ifneq (${expat_prefix},/usr)
	expatlib := -L${expat_prefix}/${libdir} -L${expat_prefix}/lib
endif
EXPAT_CFLAGS?=-I${expat_prefix}/include
EXPAT_LIB?=${expatlib} -lexpat
GSOAP_CFLAGS?=-I${gsoap_prefix}/include -I${gsoap_prefix}/

CFLAGS:= ${CFLAGS} \
	${WS_CFLAGS} ${DEBUG} \
	-DVERSION=\"${version}\" \
	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
	-I${top_srcdir}/interface \
	${EXPAT_CFLAGS} \
	${GSOAP_CFLAGS} \
	${COVERAGE_FLAGS} \
	-D_GNU_SOURCE
LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir}  ${LDFLAGS} 
SOLINK:=libtool --mode=link ${CC} -module ${LDFLAGS} -rpath ${stagedir}${prefix}/${libdir}
LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS} 
INSTALL:=libtool --mode=install install
LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
XSLTPROC:=xsltproc --novalid

EXT_LIBS:= ${EXPAT_LIBS}

ifeq (${thrflavour},)
COMMON_LIB:=-lglite_lb_common
CLIENT_LIB:=-lglite_lb_client
PLUS_LIB:=-lglite_lb_clientpp
JP_LIBS:=-lglite_jp_common
else
COMMON_LIB:=-lglite_lb_common_${nothrflavour}
CLIENT_LIB:=-lglite_lb_client_${nothrflavour}
PLUS_LIB:=-lglite_lb_clientpp_${nothrflavour}
JP_LIBS:=-lglite_jp_common_${nothrflavour}
endif

UTILS:=mon purge dump load dump_exporter
ALLUTILS:=${UTILS} state_history statistics
STATISTICS_OBJS:=statistics.o process_attrs.o process_attrs2.o

MAN_GZ:=glite-lb-mon.1.gz
MAN8_GZ:=glite-lb-purge.8.gz
MAN = $(MAN_GZ:.gz=)
MAN8 = $(MAN8_GZ:.gz=)

default: all

compile all: ${ALLUTILS} ${MAN_GZ} ${MAN8_GZ}

${UTILS}: %: %.o
	${LINK} -o $@ $< ${COMMON_LIB} ${CLIENT_LIB} ${EXT_LIBS} -lglite_lbu_maildir

statistics: ${STATISTICS_OBJS}
	${LINK} -rdynamic -o $@ ${STATISTICS_OBJS} ${COMMON_LIB} ${JP_LIBS} ${EXT_LIBS} 

state_history: state_history.o
	${LINK} -o $@ state_history.o -lglite_lb_statemachine ${PLUS_LIB}

check: compile 

doc: ${MAN_GZ} ${MAN8_GZ}

${MAN_GZ}: ${MAN}
	cp $? .
	gzip -9 -f $(notdir $?)
${MAN8_GZ}: ${MAN8}
	cp $? .
	gzip -9 -f $(notdir $?)

stage: compile
	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

install:
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin 
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man1
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
	${INSTALL} -m 644 ${top_srcdir}/doc/README* ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 644 ${MAN_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man1
	${INSTALL} -m 644 ${MAN8_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man8
	${INSTALL} -m 755 ${top_srcdir}/src/glite-lb-bkpurge-offline.sh ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-bkpurge-offline

	for p in ${ALLUTILS} ; do \
		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-$$p"; \
	done

clean:
	rm -rfv ${ALLUTILS} ${MAN_GZ} ${MAN8_GZ} *.lo *.o .libs/

distclean:
	rm -rvf Makefile.inc *.spec debian/

%.o: %.c
	${COMPILE} -c $<

%.c: %.c.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

=== debian/changelog ===
glite-lb-utils (2.2.1-4) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:54:44 +0200

=== debian/control ===
Source: glite-lb-utils
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-trio-dev
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-utils
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping auxiliary utilities
 glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
 purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
 to server, for real time monitoring (glite-lb-mon) and post-mortem statistics
 (glite-lb-statistics).

Package: glite-lb-utils-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-utils (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B utils debugging symbols
 This package contains debugging symbols for gLite L&B utils.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.utils
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils-2.2.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils
	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils; \
	 rm -fv ChangeLog LICENSE; \
	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lb-utils-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-utils 2.2.2

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
 PREFIX=/opt/glite
 prefix=
 
-expat_prefix=/opt/expat
 gsoap_prefix=/opt/gsoap
 
 -include Makefile.inc
@@ -25,11 +24,6 @@
 
 DEBUG:=-g -O0 -Wall
 
-ifneq (${expat_prefix},/usr)
-	expatlib := -L${expat_prefix}/${libdir} -L${expat_prefix}/lib
-endif
-EXPAT_CFLAGS?=-I${expat_prefix}/include
-EXPAT_LIB?=${expatlib} -lexpat
 GSOAP_CFLAGS?=-I${gsoap_prefix}/include -I${gsoap_prefix}/
 
 CFLAGS:= ${CFLAGS} \
@@ -37,7 +31,6 @@
 	-DVERSION=\"${version}\" \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
 	-I${top_srcdir}/interface \
-	${EXPAT_CFLAGS} \
 	${GSOAP_CFLAGS} \
 	${COVERAGE_FLAGS} \
 	-D_GNU_SOURCE
@@ -51,7 +44,7 @@
 LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
 XSLTPROC:=xsltproc --novalid
 
-EXT_LIBS:= ${EXPAT_LIBS}
+EXT_LIBS:=
 
 ifeq (${thrflavour},)
 COMMON_LIB:=-lglite_lb_common
@@ -65,8 +58,14 @@
 JP_LIBS:=-lglite_jp_common_${nothrflavour}
 endif
 
-UTILS:=mon purge dump load dump_exporter
-ALLUTILS:=${UTILS} state_history statistics
+os=${shell uname}
+DL_LIBS=
+ifeq (${os},Linux)
+	DL_LIBS=-ldl
+endif
+
+UTILS:=purge dump load
+ALLUTILS:=${UTILS} mon dump_exporter state_history statistics
 STATISTICS_OBJS:=statistics.o process_attrs.o process_attrs2.o
 
 MAN_GZ:=glite-lb-mon.1.gz
@@ -81,11 +80,17 @@
 ${UTILS}: %: %.o
 	${LINK} -o $@ $< ${COMMON_LIB} ${CLIENT_LIB} ${EXT_LIBS} -lglite_lbu_maildir
 
+mon: %: %.o
+	${LINK} -o $@ $< ${COMMON_LIB} ${CLIENT_LIB} ${EXT_LIBS} -lglite_jobid
+
+dump_exporter: %: %.o
+	${LINK} -o $@ $< ${COMMON_LIB} ${CLIENT_LIB} ${EXT_LIBS} -lglite_jobid -lglite_lbu_maildir
+
 statistics: ${STATISTICS_OBJS}
-	${LINK} -rdynamic -o $@ ${STATISTICS_OBJS} ${COMMON_LIB} ${JP_LIBS} ${EXT_LIBS} 
+	${LINK} -rdynamic -o $@ ${STATISTICS_OBJS} ${COMMON_LIB} ${JP_LIBS} ${EXT_LIBS} -lglite_lbu_trio ${DL_LIBS}
 
 state_history: state_history.o
-	${LINK} -o $@ state_history.o -lglite_lb_statemachine ${PLUS_LIB}
+	${LINK} -o $@ state_history.o -lglite_jobid ${COMMON_LIB} ${CLIENT_LIB} -lglite_lb_statemachine ${PLUS_LIB}
 
 check: compile

=== debian/changelog ===
glite-lb-utils (2.2.2-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-trio-dev
+Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-trio-dev, pkg-config
 Standards-Version: 3.9.1
 Section: misc
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils-2.2.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils-2.2.2 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-utils 2.3.1

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,21 @@
 
 gsoap_prefix=/opt/gsoap
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
+
+SOURCES=\
+	doc/*.1 doc/*.8 doc/README.* \
+	examples/glite-lb-* \
+	src/*.c src/*.c.T src/*.sh \
+	LICENSE Makefile
+SOURCES_EXEC=examples/*.sh src/*.sh
 
 CC=gcc
 AT3=${stagedir}${prefix}/sbin/glite-lb-at3
@@ -25,15 +34,17 @@
 DEBUG:=-g -O0 -Wall
 
 GSOAP_CFLAGS?=-I${gsoap_prefix}/include -I${gsoap_prefix}/
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
 
-CFLAGS:= ${CFLAGS} \
+CFLAGS:= \
 	${WS_CFLAGS} ${DEBUG} \
 	-DVERSION=\"${version}\" \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
 	-I${top_srcdir}/interface \
 	${GSOAP_CFLAGS} \
 	${COVERAGE_FLAGS} \
-	-D_GNU_SOURCE
+	-D_GNU_SOURCE ${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
+
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
@@ -72,8 +83,6 @@
 MAN8_GZ:=glite-lb-purge.8.gz
 MAN = $(MAN_GZ:.gz=)
 MAN8 = $(MAN8_GZ:.gz=)
-
-default: all
 
 compile all: ${ALLUTILS} ${MAN_GZ} ${MAN8_GZ}
 
@@ -125,6 +134,7 @@
 
 clean:
 	rm -rfv ${ALLUTILS} ${MAN_GZ} ${MAN8_GZ} *.lo *.o .libs/
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/

=== debian/changelog ===
glite-lb-utils (2.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils-2.2.2 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils-2.3.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-utils 2.3.6

=== Makefile ===
--- 
+++ 
@@ -23,11 +23,11 @@
 	doc/*.1 doc/*.8 doc/README.* \
 	examples/glite-lb-* \
 	src/*.c src/*.c.T src/*.sh \
-	LICENSE Makefile
+	Makefile
 SOURCES_EXEC=examples/*.sh src/*.sh
 
 CC=gcc
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 
 SUFFIXES = .T
 
@@ -49,7 +49,6 @@
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
 LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir}  ${LDFLAGS} 
-SOLINK:=libtool --mode=link ${CC} -module ${LDFLAGS} -rpath ${stagedir}${prefix}/${libdir}
 LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS} 
 INSTALL:=libtool --mode=install install
 LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
@@ -80,7 +79,7 @@
 STATISTICS_OBJS:=statistics.o process_attrs.o process_attrs2.o
 
 MAN_GZ:=glite-lb-mon.1.gz
-MAN8_GZ:=glite-lb-purge.8.gz
+MAN8_GZ:=glite-lb-dump.8.gz glite-lb-load.8.gz glite-lb-purge.8.gz
 MAN = $(MAN_GZ:.gz=)
 MAN8 = $(MAN8_GZ:.gz=)
 
@@ -117,12 +116,9 @@
 
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin 
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man1
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
 	${INSTALL} -m 644 ${top_srcdir}/doc/README* ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 644 ${MAN_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man1
 	${INSTALL} -m 644 ${MAN8_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man8
@@ -137,7 +133,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 %.o: %.c
 	${COMPILE} -c $<

=== debian/changelog ===
glite-lb-utils (2.3.6-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-trio-dev, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-trio-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: misc
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_base=glite-lb-utils
+p_dbg=glite-lb-utils-dbg
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +30,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,18 +39,18 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils-2.3.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils
-	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils; \
-	 rm -fv ChangeLog LICENSE; \
-	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
+	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	mkdir -p debian/$(p_base)/usr/share/doc
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	mv debian/tmp/usr/share/doc/glite-lb-utils-2.3.6 debian/$(p_base)/usr/share/doc/$(p_base)
+	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -55,7 +58,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lb-utils-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lb-utils 2.3.8

=== debian/changelog ===
glite-lb-utils (2.3.8-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:08 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: glite-lb-utils
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lb-state-machine-plugins
 Description: gLite Logging and Bookkeeping auxiliary utilities
  glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
  purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
@@ -25,5 +25,5 @@
 Architecture: any
 Priority: extra
 Depends: glite-lb-utils (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B utils debugging symbols
+Description: Debugging symbols for gLite L&B utils
  This package contains debugging symbols for gLite L&B utils.

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
 	mkdir -p debian/$(p_base)/usr/share/doc
 	mkdir -p debian/$(p_dbg)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-utils-2.3.6 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/glite-lb-utils-2.3.8 debian/$(p_base)/usr/share/doc/$(p_base)
 	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 
 binary-indep:

## glite-lb-utils 2.3.9

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
 
@@ -104,22 +105,21 @@
 
 doc: ${MAN_GZ} ${MAN8_GZ}
 
-${MAN_GZ}: ${MAN}
-	cp $? .
-	gzip -9 -f $(notdir $?)
-${MAN8_GZ}: ${MAN8}
-	cp $? .
-	gzip -9 -f $(notdir $?)
+%.1.gz: %.1
+	gzip -9 -f -c $< > $@
+
+%.8.gz: %.8
+	gzip -9 -f -c $< > $@
 
 stage: compile
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes
 
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin 
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	-mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man1
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
-	${INSTALL} -m 644 ${top_srcdir}/doc/README* ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	${INSTALL} -m 644 ${top_srcdir}/doc/README* ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 644 ${MAN_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man1
 	${INSTALL} -m 644 ${MAN8_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 	${INSTALL} -m 755 ${top_srcdir}/src/glite-lb-bkpurge-offline.sh ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-bkpurge-offline

=== debian/changelog ===
glite-lb-utils (2.3.9-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.utils
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module lb.utils
 	touch $@
 
 build: build-arch build-indep
@@ -42,7 +42,7 @@
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
 	mkdir -p debian/$(p_base)/usr/share/doc
 	mkdir -p debian/$(p_dbg)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-utils-2.3.8 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_base)/usr/share/doc/$(p_base)
 	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 
 binary-indep:

## glite-lb-utils 2.3.11

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
 
 SOURCES=\
-	doc/*.1 doc/*.8 doc/README.* \
+	doc/*.1 doc/README.* \
 	examples/glite-lb-* \
 	src/*.c src/*.c.T src/*.sh \
 	Makefile
@@ -49,10 +49,9 @@
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir}  ${LDFLAGS} 
-LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS} 
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
-LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
 XSLTPROC:=xsltproc --novalid
 
 EXT_LIBS:=
@@ -79,12 +78,10 @@
 ALLUTILS:=${UTILS} mon dump_exporter state_history statistics
 STATISTICS_OBJS:=statistics.o process_attrs.o process_attrs2.o
 
-MAN_GZ:=glite-lb-mon.1.gz
-MAN8_GZ:=glite-lb-dump.8.gz glite-lb-load.8.gz glite-lb-purge.8.gz
+MAN_GZ:=glite-lb-bkpurge-offline.1.gz glite-lb-dump.1.gz glite-lb-dump_exporter.1.gz glite-lb-load.1.gz glite-lb-purge.1.gz glite-lb-mon.1.gz glite-lb-state_history.1.gz glite-lb-statistics.1.gz
 MAN = $(MAN_GZ:.gz=)
-MAN8 = $(MAN8_GZ:.gz=)
 
-compile all: ${ALLUTILS} ${MAN_GZ} ${MAN8_GZ}
+compile all: ${ALLUTILS} ${MAN_GZ}
 
 ${UTILS}: %: %.o
 	${LINK} -o $@ $< ${COMMON_LIB} ${CLIENT_LIB} ${EXT_LIBS} -lglite_lbu_maildir
@@ -103,12 +100,9 @@
 
 check: compile 
 
-doc: ${MAN_GZ} ${MAN8_GZ}
+doc: ${MAN_GZ}
 
 %.1.gz: %.1
-	gzip -9 -f -c $< > $@
-
-%.8.gz: %.8
 	gzip -9 -f -c $< > $@
 
 stage: compile
@@ -118,10 +112,8 @@
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin 
 	-mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man1
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 	${INSTALL} -m 644 ${top_srcdir}/doc/README* ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 644 ${MAN_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man1
-	${INSTALL} -m 644 ${MAN8_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 	${INSTALL} -m 755 ${top_srcdir}/src/glite-lb-bkpurge-offline.sh ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-bkpurge-offline
 
 	for p in ${ALLUTILS} ; do \
@@ -129,7 +121,7 @@
 	done
 
 clean:
-	rm -rfv ${ALLUTILS} ${MAN_GZ} ${MAN8_GZ} *.lo *.o .libs/
+	rm -rfv ${ALLUTILS} ${MAN_GZ} *.lo *.o .libs/
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:

=== debian/changelog ===
glite-lb-utils (2.3.11-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:53 +0200

=== debian/control ===
Source: glite-lb-utils
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), glite-lb-types, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-trio-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch

Package: glite-lb-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lb-state-machine-plugins
Description: gLite Logging and Bookkeeping auxiliary utilities
 glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
 purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
 to server, for real time monitoring (glite-lb-mon) and post-mortem statistics
 (glite-lb-statistics).

Package: glite-lb-utils-dbg
Section: debug
Architecture: any
Depends: glite-lb-utils (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B utils
 glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
 purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
 to server, for real time monitoring (glite-lb-mon) and post-mortem statistics
 (glite-lb-statistics).
 .
 This package contains debugging symbols for gLite L&B utils.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-lb-utils
p_dbg=glite-lb-utils-dbg

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/$(p_base)/usr/share/doc
	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_base)/usr/share/doc/$(p_base)

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_base)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.utils/glite-lb-utils-(.*)\.tar\.gz
